#!/bin/sh
# source /etc/conf.d/vdr

# Admin.conf erweitern
sh /_config/bin/g2v_updadminconf.sh

#GS="$(rc-status default|grep "gui.*started")"
#[ "$GS" != "" ] && /etc/init.d/gui stop
#VS="$(pidof vdr)"
#[ "$VS" != "" ] && /etc/init.d/vdr stop

# FSCK bei shutdown
if [ "$(patch -f --dry-run /etc/init.d/halt.sh < /_config/update/patches/up06.halt.diff | grep FAILED)" = "" ] ; then
   patch -f /etc/init.d/halt.sh < /_config/update/patches/up06.halt.diff
fi
if [ "$(patch -f --dry-run /_config/bin/vdrshutdown.sh < /_config/update/patches/up06.vdrshutdown.diff | grep FAILED)" = "" ] ; then
   patch -f /_config/bin/vdrshutdown.sh < /_config/update/patches/up06.vdrshutdown.diff
fi
sed -i /etc/vdr/commands.conf -e "s%: rm -f /etc/lastCheck >%: touch /forcefsck; rm -f /etc/lastCheck >%"
rc-update del xxv default > /dev/null 2>&1
rc-update del vdradmin default > /dev/null 2>&1

# usb-storage in g2v_init.sh
sed -i /etc/modules.autoload.d/kernel-2.6 -e "/usb-storage/d"

if [ "$(grep "^ps x" /_config/bin/g2v_exit.sh)" = "" ] ; then
   echo "" >> /_config/bin/g2v_exit.sh
   echo "kill -9 \$(ps x | grep \"[0-9] -bash\" | grep -v tty | cut -f 1 -d \" \" | tr \"\\n\" \" \")" >> /_config/bin/g2v_exit.sh
fi   
sed -i /_config/bin/hibernate.sh -e "s/ usb-storage / usb_storage /"
               
#[ "$VS" = "1" ] && /etc/init.d/vdr start
#sleep 3
#[ "$GS" != "" ] && /etc/init.d/gui start
